//
//  IntroViewController.swift
//  RK-Journals
//
//  Created by Juan David Lopez Regalado on 11/11/24.
//

import UIKit
import ResearchKitUI

class IntroViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        if ORKPasscodeViewController.isPasscodeStoredInKeychain(){
            toTasks()
        }else{
            toConsent()
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func toConsent(){
        performSegue(withIdentifier: "toConsent", sender: self)
    }

    func toTasks(){
        performSegue(withIdentifier: "toTasks", sender: self)
    }
    
    @IBAction func unwindToTasks(_ segue: UIStoryboardSegue){
        toTasks()
    }
}
